Package org.eclipse.graphiti.mm.algorithms.styles

# Enum Class UnderlineStyle

java.lang.Object
java.lang.Enum<UnderlineStyle>
org.eclipse.graphiti.mm.algorithms.styles.UnderlineStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<UnderlineStyle>`, `Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum UnderlineStyle extends Enum<UnderlineStyle> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Underline Style', and utility methods for working with them.

Since:
  0.10
See Also:
  - `StylesPackage.getUnderlineStyle()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`UNDERLINE_DOUBLE`
The 'UNDERLINE DOUBLE' literal object.
`UNDERLINE_ERROR`
The 'UNDERLINE ERROR' literal object.
`UNDERLINE_SINGLE`
The 'UNDERLINE SINGLE' literal object.
`UNDERLINE_SQUIGGLE`
The 'UNDERLINE SQUIGGLE' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`UNDERLINE_DOUBLE_VALUE`
The 'UNDERLINE DOUBLE' literal value.
`static final int`
`UNDERLINE_ERROR_VALUE`
The 'UNDERLINE ERROR' literal value.
`static final int`
`UNDERLINE_SINGLE_VALUE`
The 'UNDERLINE SINGLE' literal value.
`static final int`
`UNDERLINE_SQUIGGLE_VALUE`
The 'UNDERLINE SQUIGGLE' literal value.
`static final List<UnderlineStyle>`
`VALUES`
A public read-only list of all the 'Underline Style' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static UnderlineStyle`
`get(int value)`
Returns the 'Underline Style' literal with the specified integer value.
`static UnderlineStyle`
`get(String literal)`
Returns the 'Underline Style' literal with the specified literal value.
`static UnderlineStyle`
`getByName(String name)`
Returns the 'Underline Style' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static UnderlineStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UnderlineStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNDERLINE_SINGLE

public static final UnderlineStyle UNDERLINE_SINGLE
The 'UNDERLINE SINGLE' literal object.

See Also:
  - `UNDERLINE_SINGLE_VALUE`

### UNDERLINE_DOUBLE

public static final UnderlineStyle UNDERLINE_DOUBLE
The 'UNDERLINE DOUBLE' literal object.

See Also:
  - `UNDERLINE_DOUBLE_VALUE`

### UNDERLINE_ERROR

public static final UnderlineStyle UNDERLINE_ERROR
The 'UNDERLINE ERROR' literal object.

See Also:
  - `UNDERLINE_ERROR_VALUE`

### UNDERLINE_SQUIGGLE

public static final UnderlineStyle UNDERLINE_SQUIGGLE
The 'UNDERLINE SQUIGGLE' literal object.

See Also:
  - `UNDERLINE_SQUIGGLE_VALUE`

## Field Details

### UNDERLINE_SINGLE_VALUE

public static final int UNDERLINE_SINGLE_VALUE
The 'UNDERLINE SINGLE' literal value.

If the meaning of 'UNDERLINE SINGLE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNDERLINE_SINGLE`
  - Constant Field Values

### UNDERLINE_DOUBLE_VALUE

public static final int UNDERLINE_DOUBLE_VALUE
The 'UNDERLINE DOUBLE' literal value.

If the meaning of 'UNDERLINE DOUBLE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNDERLINE_DOUBLE`
  - Constant Field Values

### UNDERLINE_ERROR_VALUE

public static final int UNDERLINE_ERROR_VALUE
The 'UNDERLINE ERROR' literal value.

If the meaning of 'UNDERLINE ERROR' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNDERLINE_ERROR`
  - Constant Field Values

### UNDERLINE_SQUIGGLE_VALUE

public static final int UNDERLINE_SQUIGGLE_VALUE
The 'UNDERLINE SQUIGGLE' literal value.

If the meaning of 'UNDERLINE SQUIGGLE' literal object isn't clear, there really should be more of a description here...

See Also:
  - `UNDERLINE_SQUIGGLE`
  - Constant Field Values

### VALUES

public static final List<UnderlineStyle> VALUES
A public read-only list of all the 'Underline Style' enumerators.

## Method Details

### values

public static UnderlineStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UnderlineStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static UnderlineStyle get(String literal)
Returns the 'Underline Style' literal with the specified literal value.

### getByName

public static UnderlineStyle getByName(String name)
Returns the 'Underline Style' literal with the specified name.

### get

public static UnderlineStyle get(int value)
Returns the 'Underline Style' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<UnderlineStyle>`